# $Revision: 1.18 $, $Date: 2009/10/11 21:18:37 $
Summary:	makedepend utility - create dependencies in makefiles
Summary(pl.UTF-8):	Narzędzie makedepend - tworzenie zależności w makefile'ach
Name:		xorg-util-makedepend
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/makedepend-%{version}.tar.bz2
# Source0-md5:	62e58330fe8d1e3e28c7a45779833a48
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The makedepend program reads each sourcefile in sequence and parses it
like a C-preprocessor, processing all "#include", "#define", "#undef",
"#ifdef", "#ifndef", "#endif", "#if", "#elif" and "#else" directives
so that it can correctly tell which #include directives would be used
in a compilation. Any "#include", directives can reference files
having other "#include" directives, and parsing will occur in these
files as well.

Every file that a sourcefile includes, directly or indirectly, is what
makedepend calls a dependency. These dependencies are then written to
a makefile in such a way that make will know which object files
must be recompiled when a dependency has changed.

%description -l pl.UTF-8
Program makedepend czyta po kolei wszystkie pliki źródłowe i analizuje
je tak, jak robi to preprocesor C, przetwarzając wszystkie dyrektywy
"#include", "#define", "#undef", "#ifdef", "#ifndef", "#endif", "#if",
"#elif" aby móc stwierdzić, które dyrektywy "#include" będą użyte
podczas kompilacji. Każda dyrektywa "#include" może odnosić się do
plików mających kolejne dyrektywy "#include", a wtedy te pliki będą
także przeanalizowane.

Każdy plik dołączany przez plik źródłowy, bezpośrednio lub pośrednio,
jest nazywany przez makedepend zależnością. Zależności te są
dopisywane do pliku makefile w taki sposób, aby program make wiedział,
które pliki wynikowe muszą być przekompilowane w przypadku zmiany
którejś zależności.

%prep
%setup -q -n makedepend-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog
%attr(755,root,root) %{_bindir}/makedepend
%{_mandir}/man1/makedepend.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-util-makedepend.spec,v $
Revision 1.18  2009/10/11 21:18:37  qboosh
- updated util-macros version

Revision 1.17  2009/10/11 09:30:29  arekm
- up to 1.0.2

Revision 1.16  2007/03/22 06:55:47  arekm
- up to 1.0.1

Revision 1.15  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.13  2006/12/24 11:57:02  qboosh
- argh, stupid parser, line cannot begin with '#'; quote all directives

Revision 1.12  2006/12/24 11:41:34  qboosh
- desc from manual

Revision 1.11  2006/05/14 17:11:09  arekm
- no more X11R7.0 in setup

Revision 1.10  2006/05/08 17:07:57  arekm
- update md5sum for individual files.

Revision 1.9  2006/05/08 17:00:03  arekm
- switch to individual files

Revision 1.8  2006/02/18 15:21:31  qboosh
- release 1

Revision 1.7  2005/12/22 11:44:19  qboosh
- sources from X11R7.0 release

Revision 1.6  2005/12/19 14:27:26  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.5  2005/12/04 09:47:03  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.4  2005/11/19 17:15:36  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.3  2005/10/22 18:58:46  qboosh
- no libtool here

Revision 1.2  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.1  2005/10/21 10:26:16  qboosh
- initial
